package com.recordingblogs;

import com.recordingblogs.oreffect.EnvelopeInterface;

/**
 * Mimic the Orinj envelopes.  A dry mix envelope and a wet mix envelope are needed
 * in some effects.  This class implements a minimal envelope - one that always returns
 * the value of 1 (100%), telling the effect to always use 100% dry mix and 100% wet mix.
 * 
 * Copyright (c) 2003 Anton Kamenov.  This file and the included source code is the 
 * property of Anton Kamenov.  Under no circumstances will the file and source code be 
 * sold, transferred, modified, or commercially exploited in part or in whole, without 
 * the prior written consent of Anton Kamenov.
 */

public class Envelope implements EnvelopeInterface
{
	@Override
	public double getValueAt(double arg0) 
	{
		return 1;
	}
}
